Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.query
Class DatasetFactory

    java.lang.Object
      com.hp.hpl.jena.query.DatasetFactory

    public class DatasetFactory

extends java.lang.Object

Make Datasets and DataSources in various ways

Author:
  Andy Seaborne

Constructor Summary
`DatasetFactory()`

Method Summary
`static Dataset` | `assemble(com.hp.hpl.jena.rdf.model.Model model)` Assembler a dataset from the model
`static Dataset` | `assemble(com.hp.hpl.jena.rdf.model.Resource resource)` Assembler a dataset from a resource
`static Dataset` | `assemble(java.lang.String filename)` Assembler a dataset from the model in a file
`static DataSource` | `create()` Create a Dataset
`static Dataset` | `create(java.util.List uriList)` Create a dataset based on a list of URIs : these are merged into the default graph of teh dataset.
`static Dataset` | `create(java.util.List uriList, com.hp.hpl.jena.util.FileManager fileManager)` Create a dataset based on a list of URIs : these are merged into the default graph of teh dataset.
`static Dataset` | `create(java.util.List uriList, java.util.List namedSourceList)` Create a dataset based on two list of URIs.
`static Dataset` | `create(java.util.List uriList, java.util.List namedSourceList, com.hp.hpl.jena.util.FileManager fileManager, java.lang.String baseURI)` Create a named graph container based on two list of URIs.
`static DataSource` | `create(com.hp.hpl.jena.rdf.model.Model model)` Create a dataset with the given model as the default graph
`static Dataset` | `create(java.lang.String uri)` Create a dataset with a default graph and no named graphs
`static Dataset` | `create(java.lang.String uri, com.hp.hpl.jena.util.FileManager fileManager)` Create a dataset based on a list of URIs : these are merged into the default graph of teh dataset.
`static Dataset` | `create(java.lang.String uri, java.util.List namedSourceList)` Create a dataset container based on two list of URIs.
`static Dataset` | `create(java.lang.String uri, java.util.List namedSourceList, com.hp.hpl.jena.util.FileManager fileManager, java.lang.String baseURI)` Create a named graph container based on two list of URIs.
`static Dataset` | `createNamed(java.util.List namedSourceList, com.hp.hpl.jena.util.FileManager fileManager)` Create a named graph container of graphs based on a list of URIs.
`static Dataset` | `make(Dataset ds, com.hp.hpl.jena.rdf.model.Model defaultModel)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatasetFactory

    public DatasetFactory()

Method Detail

### create

    public static DataSource create()

  Create a Dataset

  Returns:
    DataSource

### create

    public static DataSource create(com.hp.hpl.jena.rdf.model.Model model)

  Create a dataset with the given model as the default graph

  Parameters:
    `model` -
  Returns:
    DataSource (Updateable Dataset)

### create

    public static Dataset create(java.util.List uriList)

  Create a dataset based on a list of URIs : these are merged into the default graph of teh dataset.

  Parameters:
    `uriList` - URIs merged to form the default dataset
  Returns:
    Dataset

### create

    public static Dataset create(java.lang.String uri)

  Create a dataset with a default graph and no named graphs

  Parameters:
    `uri` - URIs merged to form the default dataset
  Returns:
    Dataset

### create

    public static Dataset create(java.util.List uriList,
                                 com.hp.hpl.jena.util.FileManager fileManager)

  Create a dataset based on a list of URIs : these are merged into the default graph of teh dataset.

  Parameters:
    `uriList` - URIs merged to form the default dataset
    `fileManager` -
  Returns:
    Dataset

### create

    public static Dataset create(java.lang.String uri,
                                 com.hp.hpl.jena.util.FileManager fileManager)

  Create a dataset based on a list of URIs : these are merged into the default graph of teh dataset.

  Parameters:
    `uri` - graph to be loaded into the unnamed, default graph
    `fileManager` -
  Returns:
    Dataset

### createNamed

    public static Dataset createNamed(java.util.List namedSourceList,
                                      com.hp.hpl.jena.util.FileManager fileManager)

  Create a named graph container of graphs based on a list of URIs.

  Parameters:
    `namedSourceList` -
    `fileManager` -
  Returns:
    Dataset

### create

    public static Dataset create(java.util.List uriList,
                                 java.util.List namedSourceList)

  Create a dataset based on two list of URIs. The first lists is used to create the background (unnamed graph) by merging, the second is used to create the collection of named graphs. (Jena calls graphs "Models" and triples "Statements")

  Parameters:
    `uriList` - graphs to be loaded into the unnamed, default graph
    `namedSourceList` - graphs to be atatched as named graphs
  Returns:
    Dataset

### create

    public static Dataset create(java.lang.String uri,
                                 java.util.List namedSourceList)

  Create a dataset container based on two list of URIs. The first is used to create the background (unnamed graph), the second is used to create the collection of named graphs. (Jena calls graphs "Models" and triples "Statements")

  Parameters:
    `uri` - graph to be loaded into the unnamed, default graph
    `namedSourceList` - graphs to be attached as named graphs
  Returns:
    Dataset

### create

    public static Dataset create(java.lang.String uri,
                                 java.util.List namedSourceList,
                                 com.hp.hpl.jena.util.FileManager fileManager,
                                 java.lang.String baseURI)

  Create a named graph container based on two list of URIs. The first is used to create the background (unnamed graph), the second is used to create the collection of named graphs. (Jena calls graphs "Models" and triples "Statements")

  Parameters:
    `uri` - graph to be loaded into the unnamed, default graph
    `namedSourceList` - graphs to be atatched as named graphs
    `fileManager` -
    `baseURI` - baseURI for relative URI expansion
  Returns:
    Dataset

### create

    public static Dataset create(java.util.List uriList,
                                 java.util.List namedSourceList,
                                 com.hp.hpl.jena.util.FileManager fileManager,
                                 java.lang.String baseURI)

  Create a named graph container based on two list of URIs. The first is used to create the background (unnamed graph), the second is used to create the collection of named graphs. (Jena calls graphs "Models" and triples "Statements")

  Parameters:
    `uriList` - graphs to be loaded into the unnamed, default graph
    `namedSourceList` - graphs to be atatched as named graphs
    `fileManager` -
    `baseURI` - baseURI for relative URI expansion
  Returns:
    Dataset

### make

    public static Dataset make(Dataset ds,
                               com.hp.hpl.jena.rdf.model.Model defaultModel)

### assemble

    public static Dataset assemble(java.lang.String filename)

  Assembler a dataset from the model in a file

  Parameters:
    `filename` - The filename
  Returns:
    Dataset

### assemble

    public static Dataset assemble(com.hp.hpl.jena.rdf.model.Model model)

  Assembler a dataset from the model

  Parameters:
    `model` -
  Returns:
    Dataset

### assemble

    public static Dataset assemble(com.hp.hpl.jena.rdf.model.Resource resource)

  Assembler a dataset from a resource

  Parameters:
    `resource` - The resource for the dataset
  Returns:
    Dataset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP